히트맵
GET https://makeron.today/api/heatmaps/
curl --request GET \
--url 'https://makeron.today/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://makeron.today/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 상세 | 설명 |
|---|---|---|
| website_id | 선택사항 정수 | |
| user_id | 선택사항 정수 | |
| is_enabled | 선택사항 정수 | 허용되는 값: 0, 1 |
| search | 선택사항 문자열 | 검색 문자열입니다. |
| search_by | 선택사항 문자열 | 어떤 분야로 검색하시나요? 허용되는 값은 name, path입니다. |
| datetime_field | 선택사항 문자열 | 허용되는 값: datetime, last_datetime |
| datetime_start | 선택사항 문자열 | 이 날짜/시간부터 결과를 필터링합니다. Y-m-d H:i:s 형식입니다. |
| datetime_end | 선택사항 문자열 | 이 날짜 시간까지 결과를 필터링합니다. Y-m-d H:i:s 형식입니다. |
| order_by | 선택사항 문자열 | 결과를 정렬할 필드입니다. 허용되는 값은 heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime입니다. |
| order_type | 선택사항 문자열 | 결과의 순서입니다. 허용되는 값은 오름차순의 경우 ASC, 내림차순의 경우 DESC입니다. |
| page | 선택사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택사항 정수 | 페이지당 원하는 결과 수. 허용되는 값은 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-28 00:54:25",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://makeron.today/api/heatmaps?page=1",
"last": "https://makeron.today/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://makeron.today/api/heatmaps?page=1"
}
}
GET https://makeron.today/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-28 00:54:25",
"last_datetime": null
}
}
GET https://makeron.today/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 상세 | 설명 |
|---|---|---|
| snapshot_type | 선택사항 문자열 | 허용되는 값: desktop, tablet, mobile |
| type | 선택사항 문자열 | 허용되는 값: clicks, scrolls |
| start_date | 선택사항 문자열 | Y-m-d 형식의 시작 날짜입니다. |
| end_date | 선택사항 문자열 | Y-m-d 형식의 종료 날짜입니다. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://makeron.today/api/heatmaps
| 매개변수 | 상세 | 설명 |
|---|---|---|
| website_id | 필수 정수 | |
| name | 필수 문자열 | |
| path | 선택사항 문자열 | |
| is_enabled | 선택사항 정수 | 허용되는 값: 0, 1 |
curl --request POST \
--url 'https://makeron.today/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://makeron.today/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-28 00:54:25",
"last_datetime": null
}
}
POST https://makeron.today/api/heatmaps/{heatmap_id}
| 매개변수 | 상세 | 설명 |
|---|---|---|
| name | 선택사항 문자열 | |
| is_enabled | 선택사항 정수 | 허용되는 값: 0, 1 |
curl --request POST \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-28 00:54:25",
"last_datetime": "2026-07-28 00:54:25"
}
}
DELETE https://makeron.today/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://makeron.today/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \